OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSolid

# IGESSolid_Shell Class Reference

defines Shell, Type <514> Form Number <1>
in package IGESSolid
Shell entity is a connected entity of dimensionality 2
which divides R3 into two arcwise connected open subsets,
one of which is finite. Inside of the shell is defined to
be the finite region.
From IGES-5.3, Form can be <1> for Closed or <2> for Open

`#include <IGESSolid_Shell.hxx>`

Inheritance diagram for IGESSolid_Shell:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSolid_Shell ()
Standard_EXPORT void | Init (const Handle(IGESSolid_HArray1OfFace)&allFaces, const Handle(TColStd_HArray1OfInteger)&allOrient)
| This method is used to set the fields of the class Shell - allFaces : the faces comprising the shell - allOrient : the orientation flags of the shell raises exception if length of allFaces & allOrient do not match .
Standard_EXPORT Standard_Boolean | IsClosed () const
| Tells if a Shell is Closed, i.e. if its FormNumber is 1 (this is the default) .
Standard_EXPORT void | SetClosed (const Standard_Boolean closed)
| Sets or Unsets the Closed status (FormNumber = 1 else 2) .
Standard_EXPORT Standard_Integer | NbFaces () const
| returns the number of the face entities in the shell
Standard_EXPORT Handle_IGESSolid_Face | Face (const Standard_Integer Index) const
| returns the Index'th face entity of the shell raises exception if Index <= 0 or Index > NbFaces()
Standard_EXPORT Standard_Boolean | Orientation (const Standard_Integer Index) const
| returns the orientation of Index'th face w.r.t the direction of the underlying surface raises exception if Index <= 0 or Index > NbFaces()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESSolid_HArray1OfFace | theFaces
Handle_TColStd_HArray1OfInteger | theOrientation

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_Shell::IGESSolid_Shell | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESSolid_Face IGESSolid_Shell::Face | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT const IGESSolid_Shell::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_Shell::Init | ( | const Handle(IGESSolid_HArray1OfFace)& | allFaces,
|  | const Handle(TColStd_HArray1OfInteger)& | allOrient
| ) |

Standard_EXPORT Standard_Boolean IGESSolid_Shell::IsClosed | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESSolid_Shell::NbFaces | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESSolid_Shell::Orientation | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT void IGESSolid_Shell::SetClosed | ( | const Standard_Boolean | closed | ) |

## Field Documentation

Handle_IGESSolid_HArray1OfFace IGESSolid_Shell::theFaces`[private]`

Handle_TColStd_HArray1OfInteger IGESSolid_Shell::theOrientation`[private]`

The documentation for this class was generated from the following file:

- IGESSolid_Shell.hxx